メインコンテンツへスキップ
GET
/
v1
/
monitors
/
{monitor_id}
/
events
モニターイベントを一覧表示
curl --request GET \
  --url https://api.olostep.com/v1/monitors/{monitor_id}/events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "run_id": "<string>",
      "created": 123,
      "changed": true,
      "summary": "<string>",
      "snapshot_url": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "total_count": 123
}

承認

Authorization
string
header
必須

Bearer 形式のBearer認証ヘッダー。はあなたの認証トークンです。

パスパラメータ

monitor_id
string
必須
Pattern: ^monitor_

クエリパラメータ

limit
integer
デフォルト:25
必須範囲: 1 <= x <= 100
cursor
string

next_cursor からの不透明なカーソル。

count_only
enum<string>

true の場合、{ "total_count": N } のみを返します。

利用可能なオプション:
true,
1

レスポンス

イベントページまたはカウント。

data
object[]
has_more
boolean
next_cursor
string | null
total_count
integer